<%@page import="java.util.*, m05bIdioma.*, m05bClasses.m05bFileLog,m05bClasses.m05bConstantes" %>
	
<HTML>
	<%
	/* Creacion: 14/07/2005 */
			m05bFileLog idiLog = new m05bFileLog();
			String descIdioma="";
			String actual=request.getParameter("Actual");
			String persona = (String) session.getAttribute("persona");
			String urlRecarga=request.getParameter("URLIdioma");
			idiLog.addTraza(persona,"Cambio Idioma JSP", "URL: " + urlRecarga, m05bConstantes.LOG_NIVEL_BAJO);

		    Locale curLocale = null;
		    Locale[] supLocales =(Locale[]) session.getAttribute("SupportedLocal");
		    String objIdioma=(String) session.getAttribute("idioma");
		    ResourceBundle res =  (ResourceBundle)session.getAttribute("res");
		    ResourceBundle resCM =  (ResourceBundle)session.getAttribute("resCM");
		    ResourceBundle resTit =  (ResourceBundle)session.getAttribute("resTit");
		    ResourceBundle resMenu =  (ResourceBundle)session.getAttribute("resMenu");

		    if (objIdioma.equals("1")) {
				curLocale=supLocales[1];
				objIdioma="2";
		    } else if (objIdioma.equals("2")) {
				curLocale=supLocales[0];
				objIdioma="1";
		    }
				res=ResourceBundle.getBundle("html.datos.etiquetas",curLocale);
				resCM=ResourceBundle.getBundle("html.datos.cmigas",curLocale);
				resTit=ResourceBundle.getBundle("html.datos.titulos",curLocale);
				resMenu=ResourceBundle.getBundle("html.datos.menu",curLocale);
	            session.setAttribute("res",res); 
	            session.setAttribute("resCM",resCM); 
	            session.setAttribute("resTit",resTit); 
	            session.setAttribute("resMenu",resMenu); 
	            session.setAttribute("idioma",objIdioma); 
	            session.setAttribute("Local",curLocale); 

			try{
					if (actual.equals("ES"))  {
					       	descIdioma = "EU";
					} else   {
							descIdioma = "ES";
					}
					idiLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "IDIOMA NUEVO: " + descIdioma, m05bConstantes.LOG_NIVEL_BAJO);
					m05bCResources nuevoIdioma = new m05bCResources(new Locale(descIdioma,""));
					nuevoIdioma.setIdiomaActual(descIdioma);
				    session.setAttribute("IdiomaActual",nuevoIdioma);
					
					response.sendRedirect(urlRecarga);
				    
	 		} catch (Exception ex1) {
	 			m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
					miLog.addTraza(ex1);
			} 
	%>
<BODY bgcolor="white">
</BODY>
</HTML>